Skip to main content
PUT
Update FB comment automation

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

FB comment automation id. Get it from fbComments.list.

Pattern: ^\d+$

Body

application/json
name
string

Automation name.

Required string length: 1 - 255
type
any
default:messenger

Automation channel type.

folderId
string | null

Folder to place the automation in, or null for root-level.

Pattern: ^\d+$
post
object

Facebook post to watch for comments. Get it from fbComments.listPosts.

privateReply
object

Private message reply sent to the commenter, if any.

publicReply
object

Public comment reply posted under the comment, if any.

includeKeywords
object

Only trigger when the comment matches these keywords.

excludeKeywords
string[]

Never trigger when the comment matches these keywords.

options
object

Matching and trigger behavior options.

hideComments
object

Whether to hide matching comments after replying.

replyAfter
object

Delay before sending the reply.

isActive
boolean

Whether the automation is enabled.

startTime
string | null

When the automation starts being active, or null for immediately.

endTime
string | null

When the automation stops being active, or null for never.

Response

OK

id
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
name
string
required
type
enum<string>
required
Available options:
messenger,
instagram,
instagramFacebook,
threads
isActive
boolean
required
startTime
string | null
required
endTime
string | null
required
repliesCount
integer
required
Required range: -2147483648 <= x <= 2147483647
sentCount
integer
required
Required range: -2147483648 <= x <= 2147483647
deliveredCount
integer
required
Required range: -2147483648 <= x <= 2147483647
seenCount
integer
required
Required range: -2147483648 <= x <= 2147483647
clickedCount
integer
required
Required range: -2147483648 <= x <= 2147483647
failedCount
integer
required
Required range: -2147483648 <= x <= 2147483647
missedCount
integer
required
Required range: -2147483648 <= x <= 2147483647
post
object
required
privateReply
object
required
publicReply
object
required
includeKeywords
object
required
excludeKeywords
string[]
required
options
object
required
hideComments
object
required
replyAfter
object
required
folderId
string | null